Subject: Re: [PATCH net] net: xdp: don't call notifiers during driver init

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Mar 2023 14:59:42 -0700

On Thu, 16 Mar 2023 14:54:18 -0700 Jakub Kicinski wrote:
> > does it make sense to run call_netdevice_notifiers() in xdp_set_features_flag()
> > just if dev->reg_state is NETREG_REGISTERED?  
> 
> I was thinking - we'll adjust it if someone complains, but indeed
> the detection is somewhat weak, a call on a dead device but under
> rtnl_lock won't warn. Let me just copy what the queue helpers do,
> exactly, then.

It's just a notifier, I think I'll go with == REGISTERED.
Let me send v2.